Bug 1028053 - [regression] Artifact metadata missing from zipped maven repo
[regression] Artifact metadata missing from zipped maven repo
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.1.0,6.2.0,6.1.1
All All
unspecified Severity medium
: ---
: ---
Assigned To: jboss-set
Nikoleta Ziakova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 09:51 EST by Fred Bricon
Modified: 2017-10-09 20:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-15295 Major Closed EAP 6.1 maven repo not recognized for use with Java EE Web Project wizard 2016-12-29 15:24 EST

  None (edit)
Description Fred Bricon 2013-11-07 09:51:50 EST
Description of problem:
The jboss eap zipped maven repositories are missing maven artifact metadata, notably used by our tooling (JBoss Tools/JBDS) to detect available versions of artifacts.

This causes https://issues.jboss.org/browse/JBIDE-15295, where we're unable to check a *-redhat* version of org.jboss.spec:jboss-javaee-web-6.0 is available, displaying a incorrect warning to the user

Version-Release number of selected component (if applicable):
6.1, 6.1.1, 6.2

How reproducible:
Always. See https://issues.jboss.org/browse/JBIDE-15295

Steps to Reproduce:
0. Have a vanilla install: settings.xml file with no profiles; clean repositories/ directory; a clean install of JBDS 7.0.0.
1. Start JBDS.
2. Configure maven for EAP 6.1: Window > Preferences > JBoss Tools > JBoss Maven Integration; click 'Configure Maven Repositories'; click 'Add repository'; click 'Recognize JBoss Maven Enterprise Repositories'; locate EAP 6.1 maven repo directory; click 'OK' to add the repo; click 'Finish' and 'OK' to update settings.xml
3. Create EAP 6.1 server: Window > Preferences > JBoss Tools > JBoss Runtime Detection; click 'Add'; locate EAP 6.1 install directory; click 'OK' to create EAP 6.1 runtime
4. Start Java EE Web Project wizard: Click 'Java EE Web Project'; for Target Runtime select 'EAP 6.1 runtime'

Actual results:
 Warning message about no enterprise maven repo is displayed

Expected results:
 No warning should be displayed

Additional info:
Comment 1 JBoss JIRA Server 2013-11-07 09:54:18 EST
Fred Bricon <fbricon@redhat.com> made a comment on jira JBIDE-15295

I opened https://bugzilla.redhat.com/show_bug.cgi?id=1028053 for the EAP maven repo
Comment 2 JBoss JIRA Server 2013-11-08 12:51:09 EST
Fred Bricon <fbricon@redhat.com> made a comment on jira JBIDE-15295

We're gonna hard code specific dependency version checks for repos with missing metadata, since we can't use version ranges for those.
Comment 3 JBoss JIRA Server 2013-11-13 09:38:00 EST
Fred Bricon <fbricon@redhat.com> updated the status of jira JBIDE-15295 to Coding In Progress
Comment 4 JBoss JIRA Server 2013-11-13 16:12:33 EST
Fred Bricon <fbricon@redhat.com> made a comment on jira JBIDE-15295

The check for enterprise maven repo availability was blocking the UI (bad), Checking resolution of discrete versions takes even longer (booh!). so the check  is now done asynchronously in a background job. while we wait for the result, a the following message is displayed : "Checking enterprise maven repository availability..."
Comment 5 JBoss JIRA Server 2013-11-13 16:12:55 EST
Fred Bricon <fbricon@redhat.com> made a comment on jira JBIDE-15295

The check for enterprise maven repo availability was blocking the UI (bad), Checking resolution of discrete versions takes even longer (booh!). so the check  is now done asynchronously in a background job. while we wait for the result, the following message is displayed : "Checking enterprise maven repository availability..."
Comment 6 JBoss JIRA Server 2013-11-14 12:36:08 EST
Fred Bricon <fbricon@redhat.com> made a comment on jira JBIDE-15295

Applied in master and jbosstools-4.1.x.

The new job is cancelled when the page is disposed. UI components are checked for disposed state upon job completion
Comment 7 JBoss JIRA Server 2013-11-28 10:49:10 EST
Rastislav Wagner <rawagner@redhat.com> updated the status of jira JBIDE-15295 to Closed
Comment 8 JBoss JIRA Server 2013-11-28 10:49:10 EST
Rastislav Wagner <rawagner@redhat.com> made a comment on jira JBIDE-15295

verified in JBDS 7.1.0.CR1-v20131124-0717-B560

Note You need to log in before you can comment on or make changes to this bug.